/*
 * disassembly_winpe: disassembly of a windows Portable Executable
 *                                        
 * Author:
 *   Danny Van Elsen 
 *                   
 **/

#ifndef DISASSEMBLY_WINPE_INC
#define DISASSEMBLY_WINPE_INC


#define FUNCTION_TYPE_MSG              1000     

#define FUNCTION_TYPE_INTEL_WINPE_MAX       223
#define FUNCTION_TYPE_INTEL_WINPE_MAX_SIZE  40     
const static char function_type_intel_winpe
                  [FUNCTION_TYPE_INTEL_WINPE_MAX] [FUNCTION_TYPE_INTEL_WINPE_MAX_SIZE] =
{
"BOOL",
"ACSLAN_STATUS",
"ACSLAN_STATUSAPIENTRY",
"ATOM",
"BOOL",
"BOOLAPIENTRY",
"BOOL__stdcall",
"CLIENT_CALL_RETURN",
"CLIENT_CALL_RETURNRPC_VAR_ENTRY",
"CMC_return_code",
"CMC_return_codeFAR",
"CMC_return_codeFARPASCAL",
"DWORD",
"DWORDAPIENTRY",
"DWORD__stdcall",
"HACCEL",
"HANDLE",
"HBITMAP",
"HBRUSH",
"HCURSOR",
"HDC",
"HDESK",
"HDWP",
"HHOOK",
"HICON",
"HIMC",
"HKL",
"HMENU",
"HOOKPROC",
"HRESULT",
"HRESULTPASCAL",
"HRESULTPASCALHRESULT",
"HRESULTPASCALHRESULTSTDAPICALLTYPE",
"HRESULTRPC_ENTRY",
"HRESULTSTDMETHODCALLTYPE",
"HRESULT__stdcall",
"HWINSTA",
"HWND",
"HWNDAPIENTRY",
"INT",
"INTAPIENTRY",
"IRpcStubBuffer",
"IRpcStubBuffer*",
"IRpcStubBuffer*STDMETHODCALLTYPE",
"IRpcStubBuffer__RPC_FAR",
"IRpcStubBuffer__RPC_FAR*__stdcall",
"LONG",
"LONGAPIENTRY",
"LONGTSPIAPI",
"LPARAM",
"LPSTR",
"LPWSTR",
"LRESULT",
"NDR_SCONTEXT",
"NDR_SCONTEXTRPC_ENTRY",
"NET_API_STATUS",
"NET_API_STATUSNET_API_FUNCTION",
"NTSYSAPI",
"NTSYSAPIVOID",
"NTSYSAPIVOIDNTAPI",
"OLECLIPFORMAT",
"OLESTATUS",
"OLE_RELEASE_METHOD",
"PFULL_PTR_XLAT_TABLES",
"PFULL_PTR_XLAT_TABLESRPC_ENTRY",
"RPC_BINDING_HANDLE",
"RPC_BINDING_HANDLERPC_ENTRY",
"RPC_BUFPTR",
"RPC_BUFPTRRPC_ENTRY",
"RPC_SS_THREAD_HANDLE",
"RPC_SS_THREAD_HANDLERPC_ENTRY",
"RPC_STATUS",
"RPC_STATUSRPC_ENTRY",
"SHORT",
"STDAPI",
"STDAPI_",
"STDAPI_(",
"STDAPI_(BOOL",
"STDAPI_(BOOL)",
"STDAPI_(SCODE",
"STDAPI_(SCODE)",
"STDAPI_(UINT)",
"STDAPI_(ULONG",
"STDAPI_(ULONG)",
"STDAPI_(void",
"STDAPI_(void)",
"STDMETHODIMP_",
"STDMETHODIMP_(",
"STDMETHODIMP_(SCODE",
"STDMETHODIMP_(SCODE)",
"UCHAR",
"UCHARAPIENTRY",
"UINT",
"ULONG",
"ULONGSTDMETHODCALLTYPE",
"ULONG__stdcall",
"VOID",
"VOIDAPIENTRY",
"WINADVAPI",
"WINADVAPIBOOL",
"WINADVAPIBOOLAPIENTRY",
"WINADVAPIDWORD",
"WINADVAPIHANDLE",
"WINADVAPILONG",
"WINADVAPILONGAPIENTRY",
"WINADVAPIPDWORD",
"WINADVAPIPSID_IDENTIFIER_AUTHORITY",
"WINADVAPIPUCHAR",
"WINADVAPIPVOID",
"WINADVAPISC_HANDLE",
"WINADVAPISC_LOCK",
"WINADVAPISERVICE_STATUS_HANDLE",
"WINADVAPIVOID",
"WINBASEAPI",
"WINBASEAPIATOM",
"WINBASEAPIBOOL",
"WINBASEAPICOORD",
"WINBASEAPIDWORD",
"WINBASEAPIFARPROC",
"WINBASEAPIHANDLE",
"WINBASEAPIHFILE",
"WINBASEAPIHGLOBAL",
"WINBASEAPIHLOCAL",
"WINBASEAPIHMODULE",
"WINBASEAPIHRSRC",
"WINBASEAPILANGID",
"WINBASEAPILCID",
"WINBASEAPILONG",
"WINBASEAPILPDWORD",
"WINBASEAPILPSTR",
"WINBASEAPILPTOP_LEVEL_EXCEPTION_FILTER",
"WINBASEAPILPVOID",
"WINBASEAPILPWSTR",
"WINBASEAPIUINT",
"WINBASEAPIVOID",
"WINBASEAPIint",
"WINBASEAPIlong",
"WINOLEAPI",
"WINOLEAPI_",
"WINOLEAPI_(",
"WINOLEAPI_(BOOL",
"WINOLEAPI_(BOOL)",
"WINOLEAPI_(DWORD)",
"WINOLEAPI_(HANDLE",
"WINOLEAPI_(HANDLE)",
"WINOLEAPI_(HGLOBAL",
"WINOLEAPI_(HGLOBAL)",
"WINOLEAPI_(HOLEMENU",
"WINOLEAPI_(HOLEMENU)",
"WINOLEAPI_(void)",
"WINSHELLAPI",
"WINSHELLAPIBOOL",
"WINSHELLAPIBOOLAPIENTRY",
"WINSHELLAPIDWORD",
"WINSHELLAPIDWORDAPIENTRY",
"WINSHELLAPIHICON",
"WINSHELLAPIHICONAPIENTRY",
"WINSHELLAPIHINSTANCE",
"WINSHELLAPIHINSTANCEAPIENTRY",
"WINSHELLAPIHRESULT",
"WINSHELLAPIINT",
"WINSHELLAPIINTAPIENTRY",
"WINSHELLAPILPITEMIDLIST",
"WINSHELLAPILPSTR",
"WINSHELLAPILPSTRAPIENTRY",
"WINSHELLAPILPWSTR",
"WINSHELLAPILPWSTR*",
"WINSHELLAPILPWSTR*APIENTRY",
"WINSHELLAPILPWSTRAPIENTRY",
"WINSHELLAPIUINT",
"WINSHELLAPIUINTAPIENTRY",
"WINSHELLAPIVOID",
"WINSHELLAPIVOIDAPIENTRY",
"WINSHELLAPIint",
"WINSHELLAPIvoid",
"WORD",
"__inline",
"__inlineVOID",
"extern",
"externBOOL",
"externBOOLSNMP_FUNC_TYPE",
"externLPSNMP_MGR_SESSION",
"externLPSNMP_MGR_SESSIONSNMP_FUNC_TYPE",
"externSNMPAPI",
"externSNMPAPISNMP_FUNC_TYPE",
"externvoid",
"externvoid*",
"externvoid*SNMP_FUNC_TYPE",
"externvoidSNMP_FUNC_TYPE",
"int",
"intRPC_ENTRY",
"int__stdcall",
"long",
"longRPC_ENTRY",
"short",
"shortAPIENTRY",
"signed",
"signedint",
"signedintRPC_ENTRY",
"size_t",
"size_tRPC_ENTRY",
"unsigned",
"unsignedchar",
"unsignedchar__RPC_FAR",
"unsignedchar__RPC_FAR*",
"unsignedchar__RPC_FAR*RPC_ENTRY",
"unsignedlong",
"unsignedlongRPC_ENTRY",
"unsignedshort",
"unsignedshortRPC_ENTRY",
"void",
"voidFAR*",
"voidRPC_ENTRY",
"voidRPC_VAR_ENTRY",
"voidSTDMETHODCALLTYPE",
"void__RPC_FAR",
"void__RPC_FAR*",
"void__RPC_FAR*RPC_ENTRY",
"void__RPC_FAR*__RPC_USER",
"void__RPC_FAR*__stdcall",
"void__RPC_STUB",
"void__RPC_USER",
"void__stdcall"
};

                         
#endif
